> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paygood.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List refunds for a payment

> Returns refunds for a payment sorted by newest first using cursor pagination.



## OpenAPI

````yaml /openapi.json get /payments/{paymentId}/refunds
openapi: 3.0.0
info:
  title: PayGood Merchant API
  description: Server-to-server integration surface for merchant API keys.
  version: '1448-03-01'
  contact: {}
servers:
  - url: https://api-sandbox.paygood.co
    description: Sandbox
  - url: https://api.paygood.co
    description: Production
security: []
paths:
  /payments/{paymentId}/refunds:
    get:
      tags:
        - payments
      summary: List refunds for a payment
      description: >-
        Returns refunds for a payment sorted by newest first using cursor
        pagination.
      operationId: RefundsController_list
      parameters:
        - name: paymentId
          required: true
          in: path
          description: Payment TypeID (`pmt_...`) whose refunds to list.
          schema:
            example: pmt_01hxy8m1nqk9g3x3y3p0azq2bg
            type: string
        - name: cursor
          required: false
          in: query
          description: >-
            Opaque cursor from a previous `page.nextCursor`. Treat as an
            unreadable token.
          schema:
            example: >-
              eyJ2IjoxLCJkYXRhIjp7InJlZnVuZGVkQXQiOiIyMDI2LTAzLTAxVDEyOjAwOjAwLjAwMFoiLCJpZCI6InJmdW5kXzAxLi4uIn19
            type: string
        - name: limit
          required: false
          in: query
          description: >-
            Number of items to return. Maximum 100. If omitted, server default
            is used.
          schema:
            example: 25
            type: number
        - name: merchantId
          required: true
          in: query
          description: Merchant TypeID (`mer_...`) that owns the payment.
          schema:
            example: mer_01hxy8m1nqk9g3x3y3p0azq2bg
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPaymentRefundsResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ListPaymentRefundsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              paymentId:
                type: string
              amount:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              currency:
                description: Supported currency code (USD, CAD)
                type: string
                minLength: 3
                maxLength: 3
              processorReferenceId:
                type: string
                minLength: 1
              refundedAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
              paymentStatus:
                type: string
                enum:
                  - pending
                  - authorized
                  - captured
                  - completed
                  - voided
                  - refunded
                  - declined
                  - returned
            required:
              - id
              - paymentId
              - amount
              - currency
              - processorReferenceId
              - refundedAt
              - paymentStatus
        page:
          type: object
          properties:
            hasMore:
              type: boolean
            nextCursor:
              type: string
          required:
            - hasMore
      required:
        - items
        - page
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: merchant_<prefix>_<secret>
      type: http
      description: Merchant API key bearer token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.